const deepCloneTime: any = (origin: any) => {
  let cache: any[] = [];
  let str = JSON.stringify(origin, function (key, value) {
    if (typeof value === 'object' && value !== null) {
      if (cache.indexOf(value) !== -1) {
        // 移除
        return
      }
      // 收集所有的值
      cache.push(value)
    }
    return value
  })
  cache = null as any // 清空变量，便于垃圾回收机制回收
  return str
}
export default deepCloneTime
